// finish  user calculations after  Monte Carlo run over events 
using namespace std;
#include<iostream>
#include<fstream>
#include <TROOT.h>
#include <TApplication.h>
#include <TFile.h>
#include <TBrowser.h>


// to access fortran program
// this is to interface HzTOOL
extern "C" {
   void runmchztool_( int& );
}


// user terminaton
int   userEnd() {

      cout << "-----------------------------------" << endl;
      cout << "Call to user termination: userEnd()" << endl;
      cout << "-----------------------------------" << endl;

// terminate Hztool
   int imod=3; runmchztool_(imod);


     char tmpfile[]="proj.tmp"; 
     char ffname[50]; 
     ifstream myin( tmpfile, ios::in);
     myin >> ffname; myin.close(); 

// create ROOT histograms 
   char RunRoot[100]; char RootFile[100]; 
   strcpy(RunRoot,"h2root ");
   strncat(RunRoot, ffname, strlen(ffname) );
   cout << RunRoot << endl;

   int irun=system( RunRoot );
   if (irun !=0) cout << "Error in making ROOT histograms" << endl; 
// clean from temporary files and HBook file
   remove (tmpfile);
   remove (ffname);

// open Browser
   strcpy(RootFile,"");
   strncat(RootFile, ffname, strlen(ffname)-3 );
   strncat(RootFile, ".root", 5 );

   cout << "ROOT tries to open the file: " << RootFile << endl;
   TFile *f = new TFile ( RootFile );
   TBrowser* b =0;
   int argc=0;
   TApplication theApp("App", &argc, NULL);
   b = new TBrowser("RunMC Browser", f, "Histograms", 10, 20, 600, 300);
   theApp.Run();

    f->Close();
 
// return 0 for success
      return 0;
}
