c     Generator-independent HzTool stuff
c     ----------------------------------

c     Beam particles
      CHARACTER*4 beam1, beam2

c     Beam energies
      REAL ebeam1, ebeam2

c     Parton distribution functions for proton and photon
      INTEGER pdfpr, pdfph

c     Intrinsic KT in proton and photon
      REAL ptrmspr, ptrmsph

c     Minimum PT for hard subprocess
      REAL ptmin

c     Number of events
      INTEGER nev

c     Luminosity [pb^-1]
      REAL lumi

c     Underlying event model
      INTEGER uemodel

c     Random numbers
      INTEGER rand_num1, rand_num2

c     Analysis routines to run
      LOGICAL routine(200)

      COMMON /HZCONTROL/ beam1, beam2, ebeam1, ebeam2,
     &    pdfpr, pdfph, ptrmspr, ptrmsph, ptmin,
     &    nev, lumi, uemodel, rand_num1, rand_num2,
     &    routine
