      print*
      print*
C 
      MSEL = MSELECT


C     PtMin for hardest scatter.
      CKIN(3)=PTMIN1


c     photon structure function
      MSTP(55)=PDFPH
      MSTP(56)=2

      WRITE(*,*) 'Photon structure MSTP(55)=',MSTP(55)

C     Number of quark flavours used
      MSTP(58)=5
C     Below to set q2 max
*      MSTP(13)=2
*      PARP(13)=4.	
      
C..   MSTP(191)=1: NO LEPTON PAIR PRODUCTION
      MSTP(191)=1

*     CKIN(61) - CKIN(64) : (D=0.01,0.99,0.01,0.99) allowed range for
*     the energy fractions x that the photon take of the respective 
*     incoming lepton energy. 
      CKIN(61)=0.0001D0
      CKIN(62)=0.9999D0
      CKIN(63)=0.0001D0
      CKIN(64)=0.9999D0
*     CKIN(65) - CKIN(68) : (D=0.,-1.,0.,-1. GeV^2) allowed range for the
*     spacelike virtuality of the photon, conventionally called either 
*     Q2 or P2, depending on process. 
      CKIN(65)=0.0D0
      CKIN(66)=4.0D0
      CKIN(67)=0.0D0
      CKIN(68)=4.0D0
*     CKIN(69) - CKIN(72) : (D=0.,-1.,0.,-1.) allowed range of the
*     scattering angle theta of the lepton, defined in the cm frame
      CKIN(69)=0.D0
      CKIN(70)=0.1D0
      CKIN(71)=0.D0
      CKIN(72)=0.1D0
*     CKIN(73) - CKIN(76) : (D=0.01,0.99,0.01,0.99) allowed range for the
*     lightcone fraction y that the photon take of the respective 
*     incoming lepton energy.
      CKIN(73)=0.0001D0
      CKIN(74)=0.9999D0
      CKIN(75)=0.0001D0
      CKIN(76)=0.9999D0
*     CKIN(77), CKIN(78) : (D=2.,-1. GeV) allowed range for W, i.e. either
*     the photon-hadron or photon-photon invariant mass.
      CKIN(77)=3.D0
      CKIN(78)=-1.D0


      IF (PROCTYPE.EQ.'DIR') THEN

C     Direct
	 MSTP(14)=21
C       This is to stop lepton pair production
         DO II=MDCY(22,2),MDCY(22,2)+MDCY(22,3)-1
           IF(IABS(KFDP(II,1)).GE.10) MDME(II,1)=MIN(0,MDME(II,1))
         ENDDO

      ELSE IF (PROCTYPE.EQ.'1RE') THEN

C     1-Resolved
         MSTP(14)=4

      ELSE IF (PROCTYPE.EQ.'2RE') THEN
C     2-Resolved
         MSTP(14)=24
      
      ENDIF

      IF (mion.EQ.0) THEN
         MSTP(81)=0
      ELSE
         mstp(81) = 1
         mstp(82) = mion
      ENDIF

      IF (MSTP(81).eq.1) THEN
	write(*,*)'Multiple Interactions are ON'
      ELSE
	write(*,*)'Multiple Interactions are OFF'
      ENDIF

      write(*,*)'PtMin for hard scatters= ',CKIN(3)
      
      IF (ptrmsph.GT.-999) THEN
         IF (mstp(93).GE.1) THEN
            parp(99)=ptrmsph
         ENDIF
      ENDIF














