C     Weighted events?
      IF (WEIGHTING) THEN
         MSTP(142)=1
      ENDIF

C     Soft procs on
*      MSEL=2
C     Soft procs off
      MSEL=MSELECT

C     Turn off MI
*      MSTP(81)  = 0
c     Turn on MI
      MSTP(81)  = MION

*     Choice of MI type
c     Default simple model
      MSTP(82)=MIOPT

C     PtMin for hardest scatter.
      IF (PTMIN1.GE.0) THEN
         CKIN(3)=PTMIN1
      ENDIF

      MSTP(51)=PDFPR
      MSTP(55)=PDFPH
      MSTP(52)=2
      MSTP(56)=2

c     proton structure function (GRV 94 LO)
*      MSTP(51)=5005

c     photon structure function (GRV-G LO)
*      MSTP(55)=5003
*      MSTP(56)=2

c     photon structure function (SaS 2D)
*      MSTP(55)=9003
*      MSTP(56)=2

c     photon structure function (SaS 1D)
*      MSTP(55)=9001
*      MSTP(56)=2

c     photon structure function (LAC1)
*      MSTP(55)=3001
*      MSTP(56)=2

c     photon structure function (WHIT2)
*      MSTP(55)=8002
*      MSTP(56)=2


C     Number of quark flavours used
      MSTP(58)=5

C     Below to set q2 max for ep mode
*      MSTP(13)=2
*      PARP(13)=4.	

C     Below set Q2 max for e/gamma p mode
      CKIN(66)=4D0

C     Electron
      P(1,1)=0.
      P(1,2)=0.
      P(1,3)=-250.0

C     Proton
      P(2,1)=0.
      P(2,2)=0.
      P(2,3)=920.

c     Width of gaussian intrinsic PT
      PARP(91)=PTRMSPH


      IF (PROCTYPE.EQ.'DIR') THEN

C     Direct
*         MSUB(33)=1
*         MSUB(54)=1
         MSTP(14)=0
*         MSTP(12)=1

      ELSE IF (PROCTYPE.EQ.'RES') THEN
C     Resolved
*         MSUB(33)=0
*         MSUB(54)=0
*         MSUB(11)=1
*         MSUB(12)=1
*         MSUB(13)=1
*         MSUB(28)=1
*         MSUB(53)=1
*         MSUB(68)=1
         MSTP(14)=1
*         MSTP(12)=1
      
      ENDIF


      











